Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgLayerBase Class Reference
[MgLayerBase]

Gets and sets properties of a layer. More...

Inherits MgNamedSerializable.

Inherited by MgLayer.

List of all members.

## Classes
struct | IdProperty
## Public Member Functions
virtual void | ForceRefresh ()
| Forces the data for this layer to be refreshed during the next map update.
virtual MgClassDefinition * | GetClassDefinition ()
| _get
virtual bool | GetDisplayInLegend ()
| Determines whether an entry for the layer should appear in the legend.
virtual bool | GetExpandInLegend ()
| Determines whether the entry for the layer should initially be expanded in the legend, if possible.
virtual STRING | GetFeatureClassName ()
virtual STRING | GetFeatureGeometryName ()
virtual STRING | GetFeatureSourceId ()
| Gets the feature source associated with this layer.
virtual MgLayerGroup * | GetGroup ()
virtual MgResourceIdentifier * | GetLayerDefinition ()
| Gets the layer's definition.
virtual INT32 | GetLayerType ()
| Gets the type of the layer.
virtual STRING | GetLegendLabel ()
virtual STRING | GetName ()
| Gets the name of the layer.
virtual STRING | GetObjectId ()
| Gets a unique identifier for this layer.
virtual bool | GetSelectable ()
| Determines whether features on the layer are selectable.
virtual bool | GetVisible ()
| Determines whether the layer is potentially visible.
virtual bool | IsVisible ()
| Returns the actual visibility of the layer.
| MgLayerBase (MgResourceIdentifier *layerDefinition, MgResourceService *resourceService)
| Creates an MgLayerBase object from a layer definition.
virtual bool | NeedsRefresh ()
| Determines whether the data for this layer will be refreshed during the next map update.
virtual MgDataReader * | SelectAggregate (MgFeatureAggregateOptions *options)
| Selects groups of features from a feature source and applies filters to each of the groups according to the criteria set in the MgFeatureAggregateOptions argument. If you want to apply the criteria to all features without grouping them, use the MgFeatureService::SelectFeatures Method . See Filters and expressions .
virtual MgFeatureReader * | SelectFeatures (MgFeatureQueryOptions *options)
| Selects features from a feature source according to the criteria set in the MgFeatureQueryOptions argument The criteria are applied to all of the features in the feature source. If you want to apply the criteria to a subset of the features, use the MgFeatureService::SelectAggregate Method . See Filters and expressions .
virtual void | SetDisplayInLegend (bool displayInLegend)
virtual void | SetGroup (MgLayerGroup *group)
virtual void | SetLayerDefinition (MgResourceIdentifier *layerDefinition, MgResourceService *resourceService)
virtual void | SetLegendLabel (CREFSTRING legendLabel)
virtual void | SetName (CREFSTRING name)
virtual void | SetSelectable (bool selectable)
virtual void | SetVisible (bool visible)
virtual MgPropertyCollection * | UpdateFeatures (MgFeatureCommandCollection *commands)
| Executes the MgDeleteFeatures, MgInsertFeatures, MgUpdateFeatures, MgLockFeatures or MgUnlockFeatures commands contained in the given MgFeatureCommandCollection object.

## Detailed Description

Gets and sets properties of a layer.

Comments or suggestions? Send us feedback.